| # | User | Rating |
|---|---|---|
| 1 | Benq | 3676 |
| 2 | Kevin114514 | 3659 |
| 3 | jiangly | 3640 |
| 4 | turmax | 3450 |
| 5 | tourist | 3382 |
| 6 | strapple | 3360 |
| 7 | Um_nik | 3354 |
| 8 | squareOf105 | 3348 |
| 9 | maroonrk | 3312 |
| 10 | idontwannadothis…e | 3191 |
| # | User | Contrib. |
|---|---|---|
| 1 | Qingyu | 155 |
| 2 | nik_exists | 151 |
| 3 | maspy | 149 |
| 4 | AmShZ | 145 |
| 5 | Um_nik | 143 |
| 6 | Errichto | 139 |
| 7 | BledDest | 136 |
| 8 | adamant | 134 |
| 9 | maroonrk | 132 |
| 10 | cry | 130 |
|
0
I came up with this generic implementation where I just need to write comparator The fun is a lambda which accepts low, mid and high and returns which direction to go next
A submission where I used this |
|
0
MikeMirzayanov I wonder how did you come up with problems like 1607D - Blue-Red Permutation What i mean is how do start thinking while framing a problem (sorry if question is too broad). |
|
-8
why is Retired_MiFaFaOvO not listed in top rated? |
|
+19
I think you are a tourist's fan |
|
0
I regret for not noticing the contest time. But nice problemset, enjoyed upsolving div2 {a-d}! |
|
0
You are indeed a mirror :P |
|
On
ch_egor →
Codeforces Round #751 [Div.1 and Div. 2] (on the problems of Moscow Team Olympiad), 5 years ago
+8
Or "them" |
|
On
ch_egor →
Codeforces Round #751 [Div.1 and Div. 2] (on the problems of Moscow Team Olympiad), 5 years ago
+11
Thanks! Fastest rating updates in recent time |
|
On
ch_egor →
Codeforces Round #751 [Div.1 and Div. 2] (on the problems of Moscow Team Olympiad), 5 years ago
0
How? |
|
On
ch_egor →
Codeforces Round #751 [Div.1 and Div. 2] (on the problems of Moscow Team Olympiad), 5 years ago
-9
My DP solution 133030971 didn't work :( people have tried segment tree and bfs approaches |
|
0
Kakashi, linear diophantine equations? |
|
+3
Are you aware that you are under Genjutsu :D |
|
0
A new chunin exams starts today (3:30 IST)! Hope you are still in the game Kakashi! |
|
+1
Same here :D |
|
0
I used a different approach |
|
0
VCS haha |
|
0
Thanks, hope other posts were also interesting for you. |
|
+8
I wrote a intro blog about this with an example an year back, you may like it https://mmpataki.github.io/programming/2020/10/31/insertion-sort-and-sanitizers.html |
|
0
|
|
0
For B I had to wait 4 mins :P, but pre-tests passed |
|
-7
Long Q? |
|
0
I also came to find proof, but I am going to prove that the given solution is correct. Help me how you derived (your thought process) the solution assume there are just 3 people and you have sorted then by their max time to talk and time now is $$$t_1$$$ the solution chooses $a_3$ along with $$$a_2$$$ (you can choose anyone with $$$a_3$$$) at $$$t_1$$$ let's assume you instead chose $$$a_2$$$ and $$$a_1$$$, the max time you can involve all these guys is minimum of $$$a_1$$$ and $$$a_2$$$ + whatever is left with $$$a_2$$$ but if you chose $$$a_3$$$ you can involve them for I made a mistake of not considering the "picking the next pair" after every unit time :P in my practice and was searching if any one can prove it. Ritwin please help us with how you derived the solution, thanks! |
|
0
Agnimandur proof for B please |
|
0
I wasted 4 submissions because of using |
|
+3
@Mike what was the RCA |
|
0
I tried to give n^3 brute-force solution, not sure what tripped it off .100956182 |
|
0
MST on the complete graph and a cheap edge? |
|
0
Sorry, I meant 'E' |
|
0
What is '.' doing in D? |
|
0
My explanation goes something like this Spoiler
n=4, k=3
A = [a, b, c, d, e, f, g, h, i, j]
we will do exactly `k` iterations, each time picking a median.
sum = 0
iteration 0.
a, b, c, d, e, f, g, h, i, j, k, l
\__^_____/
sum += j
now `i` can be replaced with some small numbers which are at the beginning of the original array. If we do so, we have `i` available for next array we are going to create.
iteration 1.
a, b, c, d, e, f, g, h, i, j, k, l
\__^_____/
sum += g
now again `f` is available for next iteration as it can be replaced with some smaller element from the beginning of the initial array.
iteration 2.
a, b, c, d, e, f, g, h, i, j, k, l
\__^_____/
sum += d
we are done with `k` iterations. (the elements still on the left also are already used)
print(sum)
|
|
0
I used a simpler technique (but constraints screwed up my initial submissions, using int instead of long) |
|
-35
F looks like greedy to me, but I lack confidence in implementing what I am thinking :D |
|
+30
Just counting and counting and still counting... |
| Name |
|---|


